/**********************************
**  AllColor.h         * 01/08/03**
**                     ************
**  Spanning Time... 09/01/12    **
***********************************/

// Basic Colors and Numbers

#ifndef ALLCOLOR_H_
#define ALLCOLOR_H_
#define BLACK         makecol(0,0,0)       // 00
#define BLUE          makecol(0,0,192)     // 01
#define GREEN         makecol(0,192,0)     // 02
#define CYAN          makecol(0,192,192)   // 03
#define RED           makecol(192,0,0)     // 04
#define MAGENTA       makecol(192,0,192)   // 05
#define YELLOW        makecol(192,192,0)   // 06
#define DK_GRAY       makecol(128,128,128) // 07
#define LT_GRAY       makecol(192,192,192) // 08
#define BR_BLUE       makecol(0,0,255)     // 09
#define BR_GREEN      makecol(0,255,0)     // 10
#define BR_CYAN       makecol(0,255,255)   // 11
#define BR_RED        makecol(255,0,0)     // 12
#define BR_MAGENTA    makecol(255,0,255)   // 13
#define BR_YELLOW     makecol(255,255,0)   // 14
#define WHITE         makecol(255,255,255) // 15


// Custom Colors

#define DKRED         makecol(128,0,0)
#define BROWN         makecol(120,90,0)
#define WHT_BLUE      makecol(220,220,240)
#define DKMAGENTA     makecol(75,0,75)
#define DDK_GRAY      makecol(75,75,75)
#define ORANGE        makecol(255,100,0)
#define DKYELLOW      makecol(175,175,0)
#define BR_BLACK      makecol(30,30,30)


#endif /* ALLCOLOR_H_ */
