/*************************************************************************************************
 **  PROGRAM - Dragons and Treasure                         *  AUTHOR: Jerry Baldwin            **
 **  Started - 11/04/13                                     *                                   **
 **  Finished - 07/05/2017                                  **************************************
 **  Last Edit Date & Time - 21:00  07/05/2017                                                  **
 **  Purpose - Player Target Square for D&T                                                     **
 *************************************************************************************************/
#define ALLEGRO_STATICLINK
#include <allegro.h>
#include <iostream>
#include <string>
#include <cstdio>
#include <allcolor.h>
#include <d_array.h>
#include <Dragons.h>

#define OFFSET 2;
#define RIGHT 164              // Location where to start squares
#define DOWN 100
#define SQ_SIZE 32             // Square size in pixels
#define H_SIZE 10              // Jump for Wall thickness squares
#define V_SIZE 10

using namespace std;

int dir_key();
void target_board(char[][15],BITMAP *[],bchar [],DATAFILE*);
int game_sounds(DATAFILE *,int);

void target(char board[][15],BITMAP *GameBitmaps[],bchar token[], int sound_clip,DATAFILE *GameDat){

for(int y_count=0;y_count<15;y_count++){                          //Initialize Boar
	   for(int x_count=0;x_count<15;x_count++){
	      if((x_count %2 == 0) && (y_count %2 == 0))
	         board[x_count][y_count]= '.';
	      if((x_count %2 != 0) && (y_count %2 == 0))
	         board[x_count][y_count]= '|';
	      if((x_count %2 != 0) && (y_count %2 != 0))     // Prevents Junk in array
             board[x_count][y_count]= 'X';
          if((x_count %2 == 0) && (y_count %2 != 0))
             board[x_count][y_count]= '-';  }}

int iPlayer_X = 0;
int iPlayer_Y = 0;
int direction = -1;
board[iPlayer_X][iPlayer_Y]= 'M';

while(direction != 5){

target_board(board,GameBitmaps,token,GameDat);

clear_keybuf();

direction = dir_key();


 if ((direction == 0) && (iPlayer_X>1)){
		board[iPlayer_X][iPlayer_Y]= '.';
        iPlayer_X-=OFFSET;
		board[iPlayer_X][iPlayer_Y]= 'M';
		game_sounds(GameDat,STEP);
  } // End Direction 0 If

  if ((direction == 1) && (iPlayer_Y>1)){
		board[iPlayer_X][iPlayer_Y]= '.';
        iPlayer_Y-=OFFSET;
		board[iPlayer_X][iPlayer_Y]= 'M';
		game_sounds(GameDat,STEP);
  } // End Direction 1 If

  if ((direction == 2) && (iPlayer_X<14)){
		board[iPlayer_X][iPlayer_Y]= '.';
        iPlayer_X+=OFFSET;
		board[iPlayer_X][iPlayer_Y]= 'M';
		game_sounds(GameDat,STEP);
  } // End Direction 2 If

  if ((direction == 3) && (iPlayer_Y<14)){
		board[iPlayer_X][iPlayer_Y]= '.';
        iPlayer_Y+=OFFSET;
		board[iPlayer_X][iPlayer_Y]= 'M';
		game_sounds(GameDat,STEP);
  } // End Direction 3 If

  if (direction == 5){// && (iPlayer_X>1)
		token[PLAYER].x = iPlayer_X;
		token[PLAYER].y = iPlayer_Y;
		game_sounds(GameDat,TURN);
		 } // End Direction 5 If

}// End while

} // End Target();
void target_board(char board[][15],BITMAP *GameBitmaps[],bchar token[],DATAFILE *GameDat){


	blit ((BITMAP*)GameDat[GAME_BACK].dat,GameBitmaps[BUFFER],0, 0,0,0,640,480);
    int iAcrossAccum = RIGHT;
    int iDownAccum = DOWN;

    for(int y=0;y<15;y++){
		 for(int x=0;x<15;x++){
			  if(board[x][y]=='|')
			    blit ((BITMAP*)GameDat[V_GAP].dat,GameBitmaps[BUFFER], 0, 0,iAcrossAccum,iDownAccum,640,480);
			  if(board[x][y] == '.')
			    blit ((BITMAP*)GameDat[EMPTY_SQ].dat,GameBitmaps[BUFFER], 0, 0,iAcrossAccum,iDownAccum,640,480);
              if(board[x][y] == '-')
	        	blit ((BITMAP*)GameDat[H_GAP].dat,GameBitmaps[BUFFER], 0, 0,iAcrossAccum,iDownAccum,640,480);
			  if(board[x][y] == 'M')
			   blit ((BITMAP*)GameDat[TARGET_SQ].dat,GameBitmaps[BUFFER], 0, 0,iAcrossAccum,iDownAccum,640,480);
			  if(x%2==0)
               iAcrossAccum+=SQ_SIZE;
              else iAcrossAccum +=H_SIZE;

	    } //end X Loop
	 iAcrossAccum=RIGHT;
    if(y%2==0)
	  iDownAccum+=SQ_SIZE;
	else iDownAccum +=V_SIZE;


	 } // end for Y

	blit (GameBitmaps[BUFFER],screen,0,0,0,0,640,480);


	    textprintf_ex(screen, (FONT*)GameDat[KingsQ_12].dat, 192, 57, BR_YELLOW, -1, "Choose Your Starting Place");
	    textprintf_ex(screen, (FONT*)GameDat[KingsQ_12].dat, 192, 73, BR_RED, -1, "Hit Enter to Start Game");


}// End target_board()
