/************************************************************************************************
**  PROGRAM - Dragons and Treasures Board Maps             *  AUTHOR: Jerry Baldwin            **
**  Started - 10/12/13                                     *                                   **
**  Finished - 07/05/2017                                  **************************************
**  Last Edit Date & Time - 21:00  07/05/2017                                                  **
**  Purpose - Board maps used for the game                                                     **
*************************************************************************************************/
#define ALLEGRO_STATICLINK
#include <allegro.h>
#include <iostream>
#include <string>
#include <cstdio>
#include <allcolor.h>
#include <d_array.h>
#include <fstream>

using namespace std;


int random_no(int);

void map(char walls[][15]){
     char map[225];
     int choice = 0;
     
    choice = random_no(25);
     
     if(choice == 1){
        strcpy(map,"./.|./.|./././.");
        strcat(map,"-X-X-X#X-X-X-X-");
        strcat(map,"./././././.|./.");
        strcat(map, "-X-X-X-X-X-X-X-");
        strcat(map, ".|./.|.|.|././.");
        strcat(map, "-X-X-X-X#X-X-X-");
        strcat(map, "././././././.|.");
        strcat(map, "-X-X-X-X-X-X-X-");
        strcat(map, "./.|./.|./.|./.");
        strcat(map, "-X#X-X-X-X#X-X-");
        strcat(map, ".|.|./././././.");
        strcat(map, "-X-X-X-X-X-X-X-");
        strcat(map, "././.|./.|.|.|.");
        strcat(map, "-X-X#X-X-X-X#X#");
        strcat(map, "./.|.|././.|.|.");
                     }

     if(choice == 2){
    	 strcpy(map,"././.|.|./././.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"./.|.|.|.|./.|.");
    	 strcat(map,"-X-X#X-X#X-X-X#");
    	 strcat(map,".|./.|./.|./.|.");
    	 strcat(map,"#X-X#X-X-X-X#X-");
    	 strcat(map,".|././.|.|.|./.");
    	 strcat(map,"-X-X-X#X#X-X-X-");
    	 strcat(map,".|././././././.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,".|.|.|.|./././.");
    	 strcat(map,"#X-X-X#X-X-X-X-");
    	 strcat(map,".|.|.|./.|.|.|.");
    	 strcat(map,"-X#X-X-X-X-X#X#");
                     }

     if(choice == 3){
    	 strcpy(map,".|./.|./.|././.");
    	 strcat(map,"#X-X#X-X#X-X-X-");
    	 strcat(map,".|./././.|.|./.");
    	 strcat(map,"#X-X-X-X-X#X-X-");
    	 strcat(map,".|.|.|./.|.|.|.");
    	 strcat(map,"#X-X#X-X-X#X#X#");
    	 strcat(map,"././.|./.|.|.|.");
    	 strcat(map,"-X-X#X-X-X#X-X#");
    	 strcat(map,".|././././.|.|.");
    	 strcat(map,"-X-X-X-X-X-X-X#");
    	 strcat(map,"./.|.|.|.|./.|.");
    	 strcat(map,"-X#X-X#X-X-X-X#");
    	 strcat(map,"./.|.|././.|.|.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"./././.|./././.");
                     }

     if(choice == 4){
    	 strcpy(map,"./.|.|.|.|././.");
    	 strcat(map,"-X#X#X-X#X-X-X-");
    	 strcat(map,".|.|./.|.|.|./.");
    	 strcat(map,"#X-X-X-X#X-X-X-");
    	 strcat(map,".|././.|././.|.");
    	 strcat(map,"#X-X-X#X-X-X#X#");
    	 strcat(map,".|.|.|.|.|./.|.");
    	 strcat(map,"-X-X-X#X#X-X#X-");
    	 strcat(map,".|.|.|././.|./.");
    	 strcat(map,"#X-X-X-X-X-X-X-");
    	 strcat(map,".|./.|.|././.|.");
    	 strcat(map,"#X-X-X#X-X-X-X#");
    	 strcat(map,".|.|./.|.|./.|.");
    	 strcat(map,"#X#X-X-X-X-X#X#");
    	 strcat(map,".|.|./././.|.|.");

                     }
     if(choice == 5){
    	 strcpy(map,".|.|.|.|.|./.|.");
    	 strcat(map,"-X#X-X-X-X-X-X#");
    	 strcat(map,".|./.|.|./.|.|.");
    	 strcat(map,"-X-X-X#X-X#X-X-");
    	 strcat(map,"./.|./././.|./.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"././.|.|.|.|./.");
    	 strcat(map,"-X-X#X-X-X#X-X-");
    	 strcat(map,".|.|.|.|././.|.");
    	 strcat(map,"#X-X-X#X-X-X#X-");
    	 strcat(map,"./.|.|.|./.|.|.");
    	 strcat(map,"-X-X-X#X-X-X#X-");
    	 strcat(map,".|././.|.|./.|.");
    	 strcat(map,"-X-X-X-X-X-X-X#");
    	 strcat(map,"./././.|./.|.|.");

                     }
     if(choice == 6){
    	 strcpy(map,"./.|.|././.|.|.");
    	 strcat(map,"-X-X-X-X-X-X#X#");
    	 strcat(map,".|.|./.|././.|.");
    	 strcat(map,"-X#X-X-X-X-X-X#");
    	 strcat(map,"././.|.|.|.|.|.");
    	 strcat(map,"-X-X#X#X-X-X-X#");
    	 strcat(map,"././.|./././.|.");
    	 strcat(map,"-X-X#X-X-X-X-X#");
    	 strcat(map,"./.|.|.|.|.|.|.");
    	 strcat(map,"-X-X#X#X#X-X#X-");
    	 strcat(map,"./.|.|.|.|.|./.");
    	 strcat(map,"-X-X#X#X-X-X-X-");
    	 strcat(map,"././.|.|././.|.");
    	 strcat(map,"-X-X#X-X-X-X-X-");
    	 strcat(map,"./.|.|././././.");

                     }
     if(choice == 7){
    	 strcpy(map,".|./.|./.|.|.|.");
    	 strcat(map,"#X-X-X-X-X#X#X-");
    	 strcat(map,".|./.|.|.|./.|.");
    	 strcat(map,"-X-X#X#X-X-X#X-");
    	 strcat(map,"./.|.|.|./.|./.");
    	 strcat(map,"-X-X-X#X-X-X-X-");
    	 strcat(map,".|.|.|./././.|.");
    	 strcat(map,"-X-X-X-X-X-X#X#");
    	 strcat(map,"./.|./.|./.|.|.");
    	 strcat(map,"-X#X-X-X-X-X-X#");
    	 strcat(map,".|././.|./.|.|.");
    	 strcat(map,"#X-X-X#X-X-X#X-");
    	 strcat(map,"./.|././.|.|./.");
    	 strcat(map,"-X#X-X-X#X-X-X-");
    	 strcat(map,".|.|./.|.|././.");

                     }
     if(choice == 8){
    	 strcpy(map,".|./././.|.|.|.");
    	 strcat(map,"#X-X-X-X-X#X#X-");
    	 strcat(map,"././.|.|.|././.");
    	 strcat(map,"-X-X-X#X-X-X-X-");
    	 strcat(map,"./.|./.|.|.|./.");
    	 strcat(map,"-X-X-X-X#X#X-X-");
    	 strcat(map,".|.|.|././././.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"./././.|.|.|.|.");
    	 strcat(map,"-X-X-X#X#X-X-X-");
    	 strcat(map,"./.|.|././././.");
    	 strcat(map,"-X#X-X-X-X-X-X-");
    	 strcat(map,".|.|./.|.|./.|.");
    	 strcat(map,"#X-X-X#X-X-X-X#");
    	 strcat(map,".|./.|.|./.|.|.");

                     }
     if(choice == 9){
    	 strcpy(map,"./.|.|./.|.|./.");
    	 strcat(map,"-X#X#X-X#X#X-X-");
    	 strcat(map,".|././././.|./.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"./.|.|.|.|././.");
    	 strcat(map,"-X#X#X-X-X-X-X-");
    	 strcat(map,"./.|.|.|.|./.|.");
    	 strcat(map,"-X-X-X-X#X-X-X-");
    	 strcat(map,".|./.|.|./.|./.");
    	 strcat(map,"#X-X#X-X-X#X-X-");
    	 strcat(map,".|.|././.|.|.|.");
    	 strcat(map,"-X#X-X-X-X#X#X-");
    	 strcat(map,".|./.|.|.|.|./.");
    	 strcat(map,"#X-X#X#X-X-X-X-");
    	 strcat(map,".|.|.|.|.|././.");

                     }
     if(choice == 10){
    	 strcpy(map,"./.|.|.|.|.|./.");
    	 strcat(map,"-X#X-X#X#X-X-X-");
    	 strcat(map,"./.|.|././././.");
    	 strcat(map,"-X#X#X-X-X-X-X-");
    	 strcat(map,".|./.|.|./././.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,".|.|.|./.|.|./.");
    	 strcat(map,"#X-X-X-X#X-X-X-");
    	 strcat(map,"./././.|.|.|./.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"./.|.|././././.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,".|.|.|.|./.|.|.");
    	 strcat(map,"-X-X#X-X-X-X-X-");
    	 strcat(map,"./.|.|././././.");

                     }
     if(choice == 11){
    	 strcpy(map,".|.|.|./.|.|.|.");
    	 strcat(map,"#X#X-X-X-X-X#X#");
    	 strcat(map,".|.|.|.|././.|.");
    	 strcat(map,"-X#X-X#X-X-X#X-");
    	 strcat(map,".|.|./././.|.|.");
    	 strcat(map,"#X#X-X-X-X#X-X-");
    	 strcat(map,".|./.|.|.|.|./.");
    	 strcat(map,"-X-X-X#X-X-X-X-");
    	 strcat(map,"./././.|.|.|./.");
    	 strcat(map,"-X-X-X#X-X#X-X-");
    	 strcat(map,"./././.|.|./.|.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,".|.|.|./.|././.");
    	 strcat(map,"-X#X-X-X#X-X-X-");
    	 strcat(map,".|.|./.|.|.|./.");

                     }
     if(choice == 12){
    	 strcpy(map,"././.|.|.|.|.|.");
    	 strcat(map,"-X-X-X#X-X#X#X-");
    	 strcat(map,".|.|.|./.|././.");
    	 strcat(map,"-X-X-X-X#X-X-X-");
    	 strcat(map,".|.|.|./.|.|./.");
    	 strcat(map,"#X-X-X-X-X#X-X-");
    	 strcat(map,"./.|./.|././.|.");
    	 strcat(map,"-X-X-X-X-X-X-X#");
    	 strcat(map,"././.|.|.|./.|.");
    	 strcat(map,"-X-X-X-X#X-X#X-");
    	 strcat(map,".|.|.|.|.|.|.|.");
    	 strcat(map,"-X-X#X#X-X#X#X-");
    	 strcat(map,".|.|.|.|.|./.|.");
    	 strcat(map,"-X-X#X-X-X-X-X#");
    	 strcat(map,"./.|.|././.|.|.");

                     }
     if(choice == 13){
    	 strcpy(map,"./.|.|.|./.|./.");
    	 strcat(map,"-X-X#X#X-X#X-X-");
    	 strcat(map,"./.|.|./.|.|.|.");
    	 strcat(map,"-X-X-X-X-X#X-X#");
    	 strcat(map,".|.|./.|././.|.");
    	 strcat(map,"-X-X-X#X-X-X#X-");
    	 strcat(map,".|./.|.|.|.|.|.");
    	 strcat(map,"-X-X#X-X-X#X-X#");
    	 strcat(map,"./.|.|.|./.|.|.");
    	 strcat(map,"-X#X-X#X-X-X-X-");
    	 strcat(map,".|././././././.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"./.|.|.|.|./.|.");
    	 strcat(map,"-X#X#X-X-X-X-X-");
    	 strcat(map,".|.|.|././././.");

                     }
     if(choice == 14){
    	 strcpy(map,"././.|./.|././.");
    	 strcat(map,"-X-X-X-X#X-X-X-");
    	 strcat(map,".|.|./.|./.|./.");
    	 strcat(map,"-X-X-X#X-X-X-X-");
    	 strcat(map,"./.|.|./.|./.|.");
    	 strcat(map,"-X-X-X-X#X-X#X#");
    	 strcat(map,".|././.|.|.|.|.");
    	 strcat(map,"-X-X-X#X-X-X-X#");
    	 strcat(map,"././.|.|.|./.|.");
    	 strcat(map,"-X-X-X-X-X-X#X-");
    	 strcat(map,".|./.|././././.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"./.|././.|.|.|.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"./././.|./././.");

                     }
     if(choice == 15){
    	 strcpy(map,".|./.|././.|./.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"./.|./.|.|.|./.");
    	 strcat(map,"-X-X-X#X#X#X-X-");
    	 strcat(map,".|./.|.|.|./.|.");
    	 strcat(map,"-X-X-X-X#X-X-X-");
    	 strcat(map,".|./.|././.|./.");
    	 strcat(map,"-X-X#X-X-X-X-X-");
    	 strcat(map,".|./.|.|./.|./.");
    	 strcat(map,"#X-X-X#X-X-X-X-");
    	 strcat(map,"./.|.|.|.|.|.|.");
    	 strcat(map,"-X#X-X-X-X#X#X-");
    	 strcat(map,".|.|.|.|./.|./.");
    	 strcat(map,"-X#X#X#X-X-X-X-");
    	 strcat(map,".|.|.|.|.|.|./.");

                     }
     if(choice == 16){
    	 strcpy(map,".|././.|./.|./.");
    	 strcat(map,"#X-X-X#X-X#X-X-");
    	 strcat(map,".|./.|./.|.|.|.");
    	 strcat(map,"#X-X-X-X-X-X#X-");
    	 strcat(map,".|.|.|./.|.|./.");
    	 strcat(map,"-X#X-X-X-X-X-X-");
    	 strcat(map,"./.|.|.|././.|.");
    	 strcat(map,"-X-X-X-X-X-X#X-");
    	 strcat(map,".|./.|././.|./.");
    	 strcat(map,"-X-X#X-X-X#X-X-");
    	 strcat(map,".|.|.|.|./.|./.");
    	 strcat(map,"-X#X#X-X-X-X-X-");
    	 strcat(map,".|.|././.|./.|.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"././.|././././.");

                     }
     if(choice == 17){
    	 strcpy(map,".|./.|.|.|././.");
    	 strcat(map,"#X-X-X#X-X-X-X-");
    	 strcat(map,".|.|./.|./.|./.");
    	 strcat(map,"-X#X-X#X-X#X-X-");
    	 strcat(map,"./.|.|.|./.|.|.");
    	 strcat(map,"-X-X#X-X-X#X-X-");
    	 strcat(map,"./.|././.|././.");
    	 strcat(map,"-X#X-X-X#X-X-X-");
    	 strcat(map,".|.|.|.|.|./.|.");
    	 strcat(map,"#X-X-X#X-X-X#X-");
    	 strcat(map,"./.|././././.|.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,".|./.|.|./.|./.");
    	 strcat(map,"-X-X-X#X-X-X-X-");
    	 strcat(map,".|./.|.|.|./.|.");

                     }
     if(choice == 18){
    	 strcpy(map,".|./.|./.|.|./.");
    	 strcat(map,"#X-X-X-X-X#X-X-");
    	 strcat(map,"././.|./././.|.");
    	 strcat(map,"-X-X-X-X-X-X#X-");
    	 strcat(map,"./.|./.|.|.|.|.");
    	 strcat(map,"-X-X-X-X#X-X#X-");
    	 strcat(map,".|.|./.|.|.|./.");
    	 strcat(map,"-X#X-X-X#X#X-X#");
    	 strcat(map,".|././././.|.|.");
    	 strcat(map,"#X-X-X-X-X-X#X-");
    	 strcat(map,"./.|.|./.|.|./.");
    	 strcat(map,"-X-X-X-X-X#X-X-");
    	 strcat(map,".|./.|.|.|.|.|.");
    	 strcat(map,"-X-X#X#X-X#X-X-");
    	 strcat(map,"./.|.|.|.|.|./.");

                     }
     if(choice == 19){
    	 strcpy(map,".|.|./.|./.|./.");
    	 strcat(map,"#X-X-X-X-X-X-X-");
    	 strcat(map,".|./.|./././.|.");
    	 strcat(map,"-X-X-X#X-X-X-X-");
    	 strcat(map,"././.|.|.|.|./.");
    	 strcat(map,"-X-X-X-X#X-X-X-");
    	 strcat(map,".|.|.|.|.|././.");
    	 strcat(map,"-X-X#X-X#X-X-X-");
    	 strcat(map,".|././.|././.|.");
    	 strcat(map,"-X-X-X-X-X-X#X#");
    	 strcat(map,".|.|././.|.|.|.");
    	 strcat(map,"#X#X-X-X-X-X-X-");
    	 strcat(map,".|./.|.|./.|./.");
    	 strcat(map,"-X-X#X-X-X#X-X-");
    	 strcat(map,"./.|.|./.|.|./.");

                     }
     if(choice == 20){
    	 strcpy(map,"././.|./.|.|.|.");
    	 strcat(map,"-X-X-X-X#X-X#X#");
    	 strcat(map,"./.|.|./.|.|.|.");
    	 strcat(map,"-X#X#X-X-X-X#X#");
    	 strcat(map,".|.|./.|././.|.");
    	 strcat(map,"#X-X-X#X-X-X-X-");
    	 strcat(map,"./.|.|././././.");
    	 strcat(map,"-X-X#X-X-X-X-X-");
    	 strcat(map,"./././.|.|.|./.");
    	 strcat(map,"-X-X-X#X-X-X-X-");
    	 strcat(map,".|.|.|./.|.|./.");
    	 strcat(map,"-X#X-X-X-X-X-X-");
    	 strcat(map,".|./.|.|./.|.|.");
    	 strcat(map,"-X-X#X-X-X#X-X-");
    	 strcat(map,"./.|.|./.|.|./.");

                     }
     if(choice == 21){
    	 strcpy(map,".|.|./././././.");
    	 strcat(map,"#X-X-X-X-X-X-X-");
    	 strcat(map,"./.|././.|.|.|.");
    	 strcat(map,"-X#X-X-X#X#X-X-");
    	 strcat(map,"././.|.|.|././.");
    	 strcat(map,"-X-X#X-X-X-X-X-");
    	 strcat(map,".|./.|.|./.|./.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"./.|././.|./.|.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"./.|.|.|./.|.|.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,".|./.|././.|./.");
    	 strcat(map,"#X-X-X-X-X#X-X-");
    	 strcat(map,".|././.|.|.|./.");

                     }
     if(choice == 22){
    	 strcpy(map,"././.|.|.|./.|.");
    	 strcat(map,"-X-X#X-X#X-X-X#");
    	 strcat(map,"././.|.|././.|.");
    	 strcat(map,"-X-X-X-X-X-X-X#");
    	 strcat(map,"./.|./.|.|./.|.");
    	 strcat(map,"-X-X-X#X-X-X-X-");
    	 strcat(map,".|./.|././.|./.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"./.|.|.|././.|.");
    	 strcat(map,"-X#X-X-X-X-X-X#");
    	 strcat(map,".|./.|./.|./.|.");
    	 strcat(map,"-X-X-X-X-X-X#X-");
    	 strcat(map,"./.|.|.|./.|./.");
    	 strcat(map,"-X-X-X#X-X-X-X-");
    	 strcat(map,"././.|.|././.|.");

                     }
     if(choice == 23){
    	 strcpy(map,"./.|./././.|.|.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"./.|.|.|./././.");
    	 strcat(map,"-X#X-X-X-X-X-X-");
    	 strcat(map,".|.|././.|.|./.");
    	 strcat(map,"#X#X-X-X#X#X-X-");
    	 strcat(map,".|./.|.|./././.");
    	 strcat(map,"-X-X#X#X-X-X-X-");
    	 strcat(map,"./././.|.|.|.|.");
    	 strcat(map,"-X-X-X#X#X-X-X-");
    	 strcat(map,".|.|././.|././.");
    	 strcat(map,"-X-X-X-X-X-X-X-");
    	 strcat(map,"./.|.|.|././.|.");
    	 strcat(map,"-X#X-X-X-X-X-X-");
    	 strcat(map,".|.|.|././.|./.");

                     }
     if(choice == 24){
    	 strcpy(map,"././.|.|./.|.|.");
    	 strcat(map,"-X-X-X-X-X-X#X-");
    	 strcat(map,".|.|././.|.|./.");
    	 strcat(map,"-X-X-X-X#X-X-X-");
    	 strcat(map,".|././.|./.|./.");
    	 strcat(map,"#X-X-X#X-X#X-X-");
    	 strcat(map,"./.|.|.|./.|.|.");
    	 strcat(map,"-X-X-X#X-X-X-X#");
    	 strcat(map,".|././.|.|./.|.");
    	 strcat(map,"-X-X-X#X#X-X-X-");
    	 strcat(map,"././.|.|.|.|./.");
    	 strcat(map,"-X-X-X-X-X#X-X-");
    	 strcat(map,".|.|./.|.|.|.|.");
    	 strcat(map,"-X-X-X#X#X-X-X-");
    	 strcat(map,"././.|.|.|././.");

                     }
     if(choice == 25){
    	 strcpy(map,"././.|.|.|././.");
    	 strcat(map,"-X-X#X-X#X-X-X-");
    	 strcat(map,"././.|./.|./.|.");
    	 strcat(map,"-X-X-X-X-X-X#X-");
    	 strcat(map,".|././.|./.|.|.");
    	 strcat(map,"-X-X-X#X-X#X-X-");
    	 strcat(map,".|.|.|./.|.|./.");
    	 strcat(map,"-X#X-X-X#X#X-X-");
    	 strcat(map,"./.|.|.|./.|./.");
    	 strcat(map,"-X#X#X-X-X-X-X-");
    	 strcat(map,".|./.|.|././.|.");
    	 strcat(map,"#X-X-X#X-X-X-X-");
    	 strcat(map,".|.|.|./.|./.|.");
    	 strcat(map,"-X#X-X-X-X-X-X-");
    	 strcat(map,".|.|./.|./.|./.");

                     }
int count_map=0;
     for(int count_y = 0;count_y<15;count_y++){            // Translate Map string to walls array
        for(int count_x = 0;count_x<15;count_x++){
            walls[count_x][count_y] = map[count_map++];
            }   }

}// end map()             
          
